umbrello: UMLEntityAttribute Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Private Attributes | List of all members
UMLEntityAttribute Class Reference

Sets up entityattribute information. More...

`#include <entityattribute.h>`

Inheritance diagram for UMLEntityAttribute:

## Public Types
enum | DBIndex_Type { None = 1100 , Primary , Index , Unique }
Public Types inherited from UMLObject
enum | ObjectType { ot_Unknown = -1 , ot_UMLObject = 100 , ot_Actor , ot_UseCase , ot_Package , ot_Interface , ot_Datatype , ot_Enum , ot_Class , ot_Instance , ot_Association , ot_Attribute , ot_Operation , ot_EnumLiteral , ot_Template , ot_Component , ot_Artifact , ot_Node , ot_Stereotype , ot_Role , ot_Entity , ot_EntityAttribute , ot_Folder , ot_EntityConstraint , ot_UniqueConstraint , ot_ForeignKeyConstraint , ot_CheckConstraint , ot_Category , ot_Port , ot_InstanceAttribute , ot_SubSystem }

## Public Member Functions
| UMLEntityAttribute (UMLObject *parent, const QString &name, Uml::ID::Type id=Uml::ID::None, Uml::Visibility::Enum s=Uml::Visibility::Private, UMLObject *type=0, const QString &iv=QString())
| UMLEntityAttribute (UMLObject *parent)
virtual | ~UMLEntityAttribute ()
bool | operator== (const UMLEntityAttribute &rhs) const
virtual void | copyInto (UMLObject *lhs) const
virtual UMLObject * | clone () const
void | setAttributes (const QString &attributes)
QString | getAttributes () const
void | setIndexType (const DBIndex_Type indexType)
DBIndex_Type | indexType () const
void | setValues (const QString &values)
QString | getValues () const
void | setAutoIncrement (const bool autoIncrement)
bool | getAutoIncrement () const
void | setNull (const bool null)
bool | getNull () const
QString | toString (Uml::SignatureType::Enum sig=Uml::SignatureType::NoSig, bool withStereotype=false) const
virtual void | saveToXMI (QXmlStreamWriter &writer)
virtual bool | showPropertiesDialog (QWidget *parent=0)
Public Member Functions inherited from UMLAttribute
| UMLAttribute (UMLObject *parent, const QString &name, Uml::ID::Type id=Uml::ID::None, Uml::Visibility::Enum s=Uml::Visibility::Private, UMLObject *type=0, const QString &iv=QString())
| UMLAttribute (UMLObject *parent)
bool | operator== (const UMLAttribute &rhs) const
virtual | ~UMLAttribute ()
virtual void | copyInto (UMLObject *lhs) const
void | setName (const QString &name)
void | setVisibility (Uml::Visibility::Enum s)
virtual UMLObject * | clone () const
QString | getInitialValue () const
void | setInitialValue (const QString &iv)
QString | toString (Uml::SignatureType::Enum sig=Uml::SignatureType::NoSig, bool withStereotype=false) const
QString | getFullyQualifiedName (const QString &separator=QString(), bool includeRoot=false) const
virtual void | saveToXMI (QXmlStreamWriter &writer)
virtual bool | showPropertiesDialog (QWidget *parent=0)
void | setParmKind (Uml::ParameterDirection::Enum pk)
Uml::ParameterDirection::Enum | getParmKind () const
virtual UMLClassifierList | getTemplateParams ()
Public Member Functions inherited from UMLClassifierListItem
| UMLClassifierListItem (UMLObject *parent, const QString &name, Uml::ID::Type id=Uml::ID::None)
| UMLClassifierListItem (UMLObject *parent)
virtual | ~UMLClassifierListItem ()
virtual void | setType (UMLObject *type)
UMLClassifier * | getType () const
void | setTypeName (const QString &type)
virtual QString | getTypeName () const
virtual QString | toString (Uml::SignatureType::Enum sig=Uml::SignatureType::NoSig, bool withStereotype=false) const
virtual void | copyInto (UMLObject *lhs) const
virtual UMLObject * | clone () const =0
Public Member Functions inherited from UMLObject
| UMLObject (const UMLObject &other)
| UMLObject (UMLObject *parent, const QString &name, Uml::ID::Type id=Uml::ID::None)
| UMLObject (UMLObject *parent)
| UMLObject (const QString &name=QString(), Uml::ID::Type id=Uml::ID::None)
virtual | ~UMLObject ()
bool | operator== (const UMLObject &rhs) const
virtual void | copyInto (UMLObject *lhs) const
virtual UMLObject * | clone () const
virtual void | setBaseType (ObjectType ot)
ObjectType | baseType () const
QLatin1String | baseTypeStr () const
virtual void | setID (Uml::ID::Type NewID)
virtual Uml::ID::Type | id () const
QString | doc () const
bool | hasDoc () const
void | setDoc (const QString &d)
void | setVisibility (Uml::Visibility::Enum visibility)
void | setVisibilityCmd (Uml::Visibility::Enum visibility)
Uml::Visibility::Enum | visibility () const
void | setStereotype (const QString &_name)
void | setStereotypeCmd (const QString &_name)
QString | stereotype (bool includeAdornments=false) const
void | setUMLStereotype (UMLStereotype *stereo)
UMLStereotype * | umlStereotype () const
QStringList & | tags ()
QString | package (const QString &separator=QString(), bool includeRoot=false) const
UMLPackageList | packages (bool includeRoot=false) const
bool | setUMLPackage (UMLPackage *pPkg)
UMLPackage * | umlPackage () const
void | setUMLParent (UMLObject *parent)
UMLObject * | umlParent () const
virtual void | setName (const QString &strName)
virtual void | setNameCmd (const QString &strName)
QString | name () const
virtual QString | fullyQualifiedName (const QString &separator=QString(), bool includeRoot=false) const
void | setAbstract (bool bAbstract)
bool | isAbstract () const
virtual bool | showPropertiesDialog (QWidget *parent=0)
virtual bool | resolveRef ()
virtual void | saveToXMI (QXmlStreamWriter &writer)
virtual bool | loadFromXMI (QDomElement &element)
bool | loadStereotype (QDomElement &element)
void | setStatic (bool bStatic)
bool | isStatic () const
virtual bool | acceptAssociationType (Uml::AssociationType::Enum) const
void | setSecondaryId (const QString &id)
QString | secondaryId () const
void | setSecondaryFallback (const QString &id)
QString | secondaryFallback () const
void | save1 (QXmlStreamWriter &writer, const QString &type, const QString &tag=QString())
bool | isUMLActor () const
bool | isUMLArtifact () const
bool | isUMLAssociation () const
bool | isUMLAttribute () const
bool | isUMLCategory () const
bool | isUMLCheckConstraint () const
bool | isUMLClassifier () const
bool | isUMLComponent () const
bool | isUMLDatatype () const
bool | isUMLEntity () const
bool | isUMLEntityAttribute () const
bool | isUMLEntityConstraint () const
bool | isUMLEnum () const
bool | isUMLEnumLiteral () const
bool | isUMLFolder () const
bool | isUMLForeignKeyConstraint () const
bool | isUMLInstance () const
bool | isUMLInstanceAttribute () const
bool | isUMLNode () const
bool | isUMLObject () const
bool | isUMLOperation () const
bool | isUMLPackage () const
bool | isUMLPort () const
bool | isUMLRole () const
bool | isUMLStereotype () const
bool | isUMLTemplate () const
bool | isUMLUniqueConstraint () const
bool | isUMLUseCase () const
UMLActor * | asUMLActor ()
UMLArtifact * | asUMLArtifact ()
UMLAssociation * | asUMLAssociation ()
UMLAttribute * | asUMLAttribute ()
UMLCanvasObject * | asUMLCanvasObject ()
UMLCategory * | asUMLCategory ()
UMLCheckConstraint * | asUMLCheckConstraint ()
UMLClassifier * | asUMLClassifier ()
UMLClassifierListItem * | asUMLClassifierListItem ()
UMLClassifierSet * | asUMLClassifierSet ()
UMLComponent * | asUMLComponent ()
UMLDatatype * | asUMLDatatype ()
UMLEntity * | asUMLEntity ()
UMLEntityAttribute * | asUMLEntityAttribute ()
UMLEntityConstraint * | asUMLEntityConstraint ()
UMLEnum * | asUMLEnum ()
UMLEnumLiteral * | asUMLEnumLiteral ()
UMLFolder * | asUMLFolder ()
UMLForeignKeyConstraint * | asUMLForeignKeyConstraint ()
UMLInstance * | asUMLInstance ()
UMLInstanceAttribute * | asUMLInstanceAttribute ()
UMLNode * | asUMLNode ()
UMLObject * | asUMLObject ()
UMLOperation * | asUMLOperation ()
UMLPackage * | asUMLPackage ()
UMLPort * | asUMLPort ()
UMLRole * | asUMLRole ()
UMLStereotype * | asUMLStereotype ()
UMLTemplate * | asUMLTemplate ()
UMLUniqueConstraint * | asUMLUniqueConstraint ()
UMLUseCase * | asUMLUseCase ()
const UMLActor * | asUMLActor () const
const UMLArtifact * | asUMLArtifact () const
const UMLAssociation * | asUMLAssociation () const
const UMLAttribute * | asUMLAttribute () const
const UMLCanvasObject * | asUMLCanvasObject () const
const UMLCategory * | asUMLCategory () const
const UMLCheckConstraint * | asUMLCheckConstraint () const
const UMLClassifier * | asUMLClassifier () const
const UMLClassifierListItem * | asUMLClassifierListItem () const
const UMLClassifierSet * | asUMLClassifierSet () const
const UMLComponent * | asUMLComponent () const
const UMLDatatype * | asUMLDatatype () const
const UMLEntity * | asUMLEntity () const
const UMLEntityAttribute * | asUMLEntityAttribute () const
const UMLEntityConstraint * | asUMLEntityConstraint () const
const UMLEnum * | asUMLEnum () const
const UMLEnumLiteral * | asUMLEnumLiteral () const
const UMLFolder * | asUMLFolder () const
const UMLForeignKeyConstraint * | asUMLForeignKeyConstraint () const
const UMLInstance * | asUMLInstance () const
const UMLInstanceAttribute * | asUMLInstanceAttribute () const
const UMLNode * | asUMLNode () const
const UMLObject * | asUMLObject () const
const UMLOperation * | asUMLOperation () const
const UMLPackage * | asUMLPackage () const
const UMLPort * | asUMLPort () const
const UMLRole * | asUMLRole () const
const UMLStereotype * | asUMLStereotype () const
const UMLTemplate * | asUMLTemplate () const
const UMLUniqueConstraint * | asUMLUniqueConstraint () const
const UMLUseCase * | asUMLUseCase () const

## Protected Member Functions
void | init ()
bool | load1 (QDomElement &element)
bool | load1 (QDomElement &element)
Protected Member Functions inherited from UMLObject
void | init ()
void | maybeSignalObjectCreated ()
void | save1end (QXmlStreamWriter &writer)
virtual bool | load1 (QDomElement &element)

## Private Attributes
DBIndex_Type | m_indexType
QString | m_values
QString | m_attributes
bool | m_autoIncrement
bool | m_null

## Additional Inherited Members
Public Slots inherited from UMLObject
void | emitModified ()
Signals inherited from UMLAttribute
void | attributeChanged ()
Signals inherited from UMLObject
void | modified ()
Static Public Member Functions inherited from UMLObject
static QString | toString (ObjectType ot)
static QString | toI18nString (ObjectType t)
static Icon_Utils::IconType | toIcon (ObjectType t)
Protected Attributes inherited from UMLAttribute
QString | m_InitialValue
| text for the attribute's initial value.
Uml::ParameterDirection::Enum | m_ParmKind
Protected Attributes inherited from UMLObject
Uml::ID::Type | m_nId
| object's id
QString | m_Doc
| object's documentation
QPointer< UMLStereotype > | m_pStereotype
| stereotype of the object if applicable
QString | m_name
| objects name
ObjectType | m_BaseType
| objects type
Uml::Visibility::Enum | m_visibility
| objects visibility
bool | m_bAbstract
| state of whether the object is abstract or not
bool | m_bStatic
| flag for instance scope
bool | m_bCreationWasSignalled
| auxiliary to maybeSignalObjectCreated()
QPointer< UMLObject > | m_pSecondary
QString | m_SecondaryId
QString | m_SecondaryFallback
QStringList | m_TaggedValues
UMLObjectPrivate * | m_d
| private data

## Detailed Description

Sets up entityattribute information.

This class is used to set up information for an entityattribute. This is a database field It has a type, name, index type and default value.

Author
  Jonathan Riddell jr@jr.nosp@m.idde.nosp@m.ll.or.nosp@m.g Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Member Enumeration Documentation

## ◆ DBIndex_Type

enum UMLEntityAttribute::DBIndex_Type

Enumerator
None |
Primary |
Index |
Unique |

## Constructor & Destructor Documentation

## ◆ UMLEntityAttribute() [1/2]

UMLEntityAttribute::UMLEntityAttribute | ( | UMLObject * | parent,
|  | const QString & | name,
|  | Uml::ID::Type | id = `Uml::ID::None`,
|  | Uml::Visibility::Enum | s = `Uml::Visibility::Private`,
|  | UMLObject * | type = `0`,
|  | const QString & | iv = `QString()`
| ) |  |

Sets up an entityattribute.

Parameters

  parent | The parent of this UMLEntityAttribute.
  name | The name of this UMLEntityAttribute.
  id | The unique id given to this UMLEntityAttribute.
  s | The visibility of the UMLEntityAttribute.
  type | The type of this UMLEntityAttribute.
  iv | The initial value of the entityattribute.

## ◆ UMLEntityAttribute() [2/2]

UMLEntityAttribute::UMLEntityAttribute | ( | UMLObject * | parent | ) |
| explicit

Sets up an entityattribute.

Parameters

  parent | The parent of this UMLEntityAttribute.

## ◆ ~UMLEntityAttribute()

UMLEntityAttribute::~UMLEntityAttribute | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ clone()

UMLObject * UMLEntityAttribute::clone | ( |  | ) | const
| virtual

Make a clone of the UMLEntityAttribute.

Reimplemented from UMLAttribute.

## ◆ copyInto()

void UMLEntityAttribute::copyInto | ( | UMLObject * | lhs | ) | const
| virtual

Copy the internal presentation of this object into the UMLEntityAttribute object.

Reimplemented from UMLAttribute.

## ◆ getAttributes()

QString UMLEntityAttribute::getAttributes | ( |  | ) | const

Returns the value of the UMLEntityAttribute's attributes property.

Returns
  The value of the UMLEntityAttribute's attributes property.

## ◆ getAutoIncrement()

bool UMLEntityAttribute::getAutoIncrement | ( |  | ) | const

Returns the UMLEntityAttribute's auto_increment boolean

Returns
  The UMLEntityAttribute's auto_increment boolean

## ◆ getNull()

bool UMLEntityAttribute::getNull | ( |  | ) | const

Returns the UMLEntityAttribute's allow null value.

Returns
  The UMLEntityAttribute's allow null value.

## ◆ getValues()

QString UMLEntityAttribute::getValues | ( |  | ) | const

Returns the UMLEntityAttribute's length/values property.

Returns
  The new value of the length/values property.

## ◆ indexType()

UMLEntityAttribute::DBIndex_Type UMLEntityAttribute::indexType | ( |  | ) | const

Returns the UMLEntityAttribute's index type property.

Returns
  The value of the UMLEntityAttribute's index type property.

## ◆ init()

void UMLEntityAttribute::init | ( |  | ) |
| protected

Initialize members of this class. Auxiliary method used by constructors.

## ◆ load1()

bool UMLEntityAttribute::load1 | ( | QDomElement & | element | ) |
| protectedvirtual

Loads the <UML:EntityAttribute> XMI element.

Reimplemented from UMLAttribute.

## ◆ operator==()

bool UMLEntityAttribute::operator== | ( | const UMLEntityAttribute & | rhs | ) | const

Overloaded '==' operator

## ◆ saveToXMI()

void UMLEntityAttribute::saveToXMI | ( | QXmlStreamWriter & | writer | ) |
| virtual

Creates the <UML:EntityAttribute> XMI element.

Reimplemented from UMLAttribute.

## ◆ setAttributes()

void UMLEntityAttribute::setAttributes | ( | const QString & | attributes | ) |

Sets the UMLEntityAttribute's attributes property.

Parameters

  attributes | The new value for the attributes property.

## ◆ setAutoIncrement()

void UMLEntityAttribute::setAutoIncrement | ( | const bool | autoIncrement | ) |

Sets the UMLEntityAttribute's auto_increment boolean

Parameters

  autoIncrement | The UMLEntityAttribute's auto_increment boolean

## ◆ setIndexType()

void UMLEntityAttribute::setIndexType | ( | const DBIndex_Type | indexType | ) |

Sets the initial value of the UMLEntityAttribute's index type property.

Parameters

  indexType | The initial value of the UMLEntityAttribute's index type property.

## ◆ setNull()

void UMLEntityAttribute::setNull | ( | const bool | nullIn | ) |

Sets the initial value of the UMLEntityAttribute's allow null value.

Parameters

  nullIn | The initial value of the UMLEntityAttribute's allow null value.

## ◆ setValues()

void UMLEntityAttribute::setValues | ( | const QString & | values | ) |

Sets the UMLEntityAttribute's length/values property.

Parameters

  values | The new value of the length/values property.

## ◆ showPropertiesDialog()

bool UMLEntityAttribute::showPropertiesDialog | ( | QWidget * | parent = `0` | ) |
| virtual

Display the properties configuration dialog for the entityattribute.

Reimplemented from UMLAttribute.

## ◆ toString()

QString UMLEntityAttribute::toString | ( | Uml::SignatureType::Enum | sig = `Uml::SignatureType::NoSig`,
|  | bool | withStereotype = `false`
| ) |  | const
| virtual

Returns a string representation of the UMLEntityAttribute.

Parameters

  sig | If true will show the entityattribute type and initial value.

Returns
  Returns a string representation of the UMLEntityAttribute.

Reimplemented from UMLAttribute.

## Member Data Documentation

## ◆ m_attributes

QString UMLEntityAttribute::m_attributes
| private

## ◆ m_autoIncrement

bool UMLEntityAttribute::m_autoIncrement
| private

## ◆ m_indexType

DBIndex_Type UMLEntityAttribute::m_indexType
| private

## ◆ m_null

bool UMLEntityAttribute::m_null
| private

## ◆ m_values

QString UMLEntityAttribute::m_values
| private

The documentation for this class was generated from the following files:

- umbrello/umlmodel/entityattribute.h
- umbrello/umlmodel/entityattribute.cpp